## gcc-10 10.3.0

=== gcc/m2/examples/min/Makefile ===


all:  force
	gm2 -g -c -flibs=min -fno-exceptions minhello.mod
	gm2 -g -flibs=min -fno-exceptions minhello.mod
	size a.out

clean:  force
	$(RM) a.out a.exe *.cpp *.o *.obj

force:

=== debian/changelog ===
gcc-10 (10.3.0-15ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Mar 2022 13:12:38 +0100

gcc-10 (10.3.0-15) unstable; urgency=medium

  * Update to git 20220324 from the gcc-10 branch.
    - Fix PR tree-optimization/103237, PR middle-end/103181,
      PR middle-end/103248, PR tree-optimization/102798, PR ipa/102762,
      PR tree-optimization/100923, PR tree-optimization/101158,
      PR target/103627 (PPC), PR target/103627 (PPC), PR target/104469 (x86),
      PR target/104458 (x86), PR target/104451 (x86), PR target/104090 (PPC),
      PR middle-end/95115, PR target/102976 (PPC), PR ada/103538,
      PR ada/103538, PR fortran/104619, PR fortran/104311, PR fortran/104331,
      PR fortran/83079, PR fortran/104127, PR fortran/104227,
      PR fortran/101762, PR fortran/67804, PR fortran/103782,
      PR fortran/103692, PR fortran/102332, PR sanitizer/102911,
      PR libstdc++/102358, PR target/87496 (PPC), PR target/104208 (PPC),
      PR target/104453 (x86), PR tree-optimization/104511,
      PR target/100784 (x86), PR target/104253 (PPC).
  * Support the ld.mold linker, patch taken from the trunk.
  * Don't enable -fcf-protection with -m16 and -m32. LP: #1940029.
  * Don't run the tests on ppc64 and sh4, hanging on the buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 13:03:07 +0100

gcc-10 (10.3.0-14ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jan 2022 11:55:32 +0100

gcc-10 (10.3.0-14) unstable; urgency=medium

  * Update to git 20220113 from the gcc-10 branch.
    - Fix PR tree-optimization/97953, PR target/103465, PR target/103661 (x86),
      PR target/102347 (PPC), PR ipa/103267, PR target/103274 (x86),
      PR ipa/103052, PR target/101985 (PPC), PR libfortran/103634,
      PR d/103604, PR libstdc++/103877, PR libstdc++/103549,
      PR libstdc++/103453, PR libstdc++/103086, PR libstdc++/101571,
      PR libstdc++/101965, PR libstdc++/102894, PR libstdc++/102270,
      PR libstdc++/100863, PR libstdc++/100863, PR libstdc++/65816,
      PR libstdc++/101870, PR libstdc++/101608, PR libstdc++/103381.
  * Remove the gdc-driver-nophobos patch.
  * Configure instead with --with-libphobos-druntime-only=yes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jan 2022 11:33:44 +0100

gcc-10 (10.3.0-13ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Nov 2021 21:16:05 +0100

gcc-10 (10.3.0-13) unstable; urgency=medium

  * Update to git 20211117 from the gcc-10 branch.
    - Fix PR ipa/102714, PR middle-end/100672, PR tree-optimization/100253,
      PR tree-optimization/102789, PR rtl-optimization/102842,
      PR tree-optimization/102505, PR fortran/103137, PR fortran/103138,
      PR fortran/102816, PR fortran/102685, PR fortran/102715,
      PR fortran/102817, PR fortran/99348, PR fortran/102521,
      PR libstdc++/103022.
  * Move libtsan_preinit.o into libgcc-10-dev. Addresses: #999752.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 19:08:29 +0100

gcc-10 (10.3.0-12ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Oct 2021 14:09:30 +0200

gcc-10 (10.3.0-12) unstable; urgency=medium

  * Update to git 20211029 from the gcc-10 branch.
    - Fix PR target/102761 (x86), PR target/98667 (x86),
      PR tree-optimization/102046, PR tree-optimization/101925,
      PR tree-optimization/101373, PR tree-optimization/101868,
      PR middle-end/101824, PR target/102588 (SPARC), PR c++/64697,
      PR tree-optimization/102622, PR target/102107 (PPC),
      PR target/102107 (PPC), PR c++/95520, PR c++/99617, PR d/102574,
      PR fortran/102716, PR fortran/102458, PR fortran/102458,
      PR fortran/82314, PR fortran/102520, PR fortran/85130,
      PR fortran/102287, PR fortran/102366, PR libstdc++/90787,
      PR libstdc++/100187, PR libstdc++/100237, PR libstdc++/100249,
      PR libstdc++/100287, PR libstdc++/101599, PR libstdc++/101589,
      PR libstdc++/101483, PR libstdc++/100387, PR libstdc++/100606,
      PR libstdc++/102425, PR libstdc++/99876, PR libstdc++/102280,
      PR libstdc++/102667.
  * ARM: pass architecture extensions to assembler if supported. Backported
    from the trunk.
  * Stop building the gcn offload compiler, not working with LLVM-13.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Oct 2021 13:53:58 +0200

gcc-10 (10.3.0-11ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 10:30:36 +0200

gcc-10 (10.3.0-11) unstable; urgency=medium

  * Update to git 20210918 from the gcc-10 branch.
    - Fix PR rtl-optimization/102306, PR target/97142 (PPC), PR fortran/101327,
      PR fortran/98490, PR fortran/97612, PR fortran/98565, PR fortran/97694,
      PR fortran/97723, PR fortran/93701, PR fortran/98472, PR fortran/100110.
  * Fix libgcc-s1 symbols file for alpha.
  * For armhf configure --with-arch=<arch>+fp, dropping the --with-fpu=
    option; keep the old configure options for backports, for now only enabled
    for future distro releases.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 10:14:37 +0200

gcc-10 (10.3.0-10ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Sep 2021 18:07:35 +0200

gcc-10 (10.3.0-10) unstable; urgency=medium

  * Update to git 20210909 from the gcc-10 branch.
    - Fix PR c++/60318, PR tree-optimization/101394, PR middle-end/101291,
      PR tree-optimization/101173, PR tree-optimization/101280,


=== debian/control ===
Source: gcc-10
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, gcc-11-base, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.35.1-7), binutils-hppa64-linux-gnu:native (>= 2.35.1-7) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-10-alpha-linux-gnu [alpha] <cross>, gobjc-10-alpha-linux-gnu [alpha] <cross>, gfortran-10-alpha-linux-gnu [alpha] <cross>, gdc-10-alpha-linux-gnu [alpha] <cross>, gccgo-10-alpha-linux-gnu [alpha] <cross>, gnat-10-alpha-linux-gnu [alpha] <cross>, gm2-10-alpha-linux-gnu [alpha] <cross>, g++-10-x86-64-linux-gnu [amd64] <cross>, gobjc-10-x86-64-linux-gnu [amd64] <cross>, gfortran-10-x86-64-linux-gnu [amd64] <cross>, gdc-10-x86-64-linux-gnu [amd64] <cross>, gccgo-10-x86-64-linux-gnu [amd64] <cross>, gnat-10-x86-64-linux-gnu [amd64] <cross>, gm2-10-x86-64-linux-gnu [amd64] <cross>, g++-10-arm-linux-gnueabi [armel] <cross>, gobjc-10-arm-linux-gnueabi [armel] <cross>, gfortran-10-arm-linux-gnueabi [armel] <cross>, gdc-10-arm-linux-gnueabi [armel] <cross>, gccgo-10-arm-linux-gnueabi [armel] <cross>, gnat-10-arm-linux-gnueabi [armel] <cross>, gm2-10-arm-linux-gnueabi [armel] <cross>, g++-10-arm-linux-gnueabihf [armhf] <cross>, gobjc-10-arm-linux-gnueabihf [armhf] <cross>, gfortran-10-arm-linux-gnueabihf [armhf] <cross>, gdc-10-arm-linux-gnueabihf [armhf] <cross>, gccgo-10-arm-linux-gnueabihf [armhf] <cross>, gnat-10-arm-linux-gnueabihf [armhf] <cross>, gm2-10-arm-linux-gnueabihf [armhf] <cross>, g++-10-aarch64-linux-gnu [arm64] <cross>, gobjc-10-aarch64-linux-gnu [arm64] <cross>, gfortran-10-aarch64-linux-gnu [arm64] <cross>, gdc-10-aarch64-linux-gnu [arm64] <cross>, gccgo-10-aarch64-linux-gnu [arm64] <cross>, gnat-10-aarch64-linux-gnu [arm64] <cross>, gm2-10-aarch64-linux-gnu [arm64] <cross>, g++-10-i686-linux-gnu [i386] <cross>, gobjc-10-i686-linux-gnu [i386] <cross>, gfortran-10-i686-linux-gnu [i386] <cross>, gdc-10-i686-linux-gnu [i386] <cross>, gccgo-10-i686-linux-gnu [i386] <cross>, gnat-10-i686-linux-gnu [i386] <cross>, gm2-10-i686-linux-gnu [i386] <cross>, g++-10-mipsel-linux-gnu [mipsel] <cross>, gobjc-10-mipsel-linux-gnu [mipsel] <cross>, gfortran-10-mipsel-linux-gnu [mipsel] <cross>, gdc-10-mipsel-linux-gnu [mipsel] <cross>, gccgo-10-mipsel-linux-gnu [mipsel] <cross>, gnat-10-mipsel-linux-gnu [mipsel] <cross>, gm2-10-mipsel-linux-gnu [mipsel] <cross>, g++-10-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-10-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-10-mips64-linux-gnuabi64 [mips64] <cross>, gdc-10-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-10-mips64-linux-gnuabi64 [mips64] <cross>, gnat-10-mips64-linux-gnuabi64 [mips64] <cross>, gm2-10-mips64-linux-gnuabi64 [mips64] <cross>, g++-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-10-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-10-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-10-powerpc-linux-gnu [powerpc] <cross>, gobjc-10-powerpc-linux-gnu [powerpc] <cross>, gfortran-10-powerpc-linux-gnu [powerpc] <cross>, gdc-10-powerpc-linux-gnu [powerpc] <cross>, gccgo-10-powerpc-linux-gnu [powerpc] <cross>, gnat-10-powerpc-linux-gnu [powerpc] <cross>, g++-10-powerpc64-linux-gnu [ppc64] <cross>, gobjc-10-powerpc64-linux-gnu [ppc64] <cross>, gfortran-10-powerpc64-linux-gnu [ppc64] <cross>, gdc-10-powerpc64-linux-gnu [ppc64] <cross>, gccgo-10-powerpc64-linux-gnu [ppc64] <cross>, gnat-10-powerpc64-linux-gnu [ppc64] <cross>, g++-10-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-10-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-10-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-10-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-10-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-10-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-10-powerpc64le-linux-gnu [ppc64el] <cross>, g++-10-m68k-linux-gnu [m68k] <cross>, gobjc-10-m68k-linux-gnu [m68k] <cross>, gfortran-10-m68k-linux-gnu [m68k] <cross>, gdc-10-m68k-linux-gnu [m68k] <cross>, gm2-10-m68k-linux-gnu [m68k] <cross>, g++-10-riscv64-linux-gnu [riscv64] <cross>, gobjc-10-riscv64-linux-gnu [riscv64] <cross>, gfortran-10-riscv64-linux-gnu [riscv64] <cross>, gdc-10-riscv64-linux-gnu [riscv64] <cross>, gccgo-10-riscv64-linux-gnu [riscv64] <cross>, gnat-10-riscv64-linux-gnu [riscv64] <cross>, gm2-10-riscv64-linux-gnu [riscv64] <cross>, g++-10-sh4-linux-gnu [sh4] <cross>, gobjc-10-sh4-linux-gnu [sh4] <cross>, gfortran-10-sh4-linux-gnu [sh4] <cross>, gnat-10-sh4-linux-gnu [sh4] <cross>, g++-10-sparc64-linux-gnu [sparc64] <cross>, gobjc-10-sparc64-linux-gnu [sparc64] <cross>, gfortran-10-sparc64-linux-gnu [sparc64] <cross>, gdc-10-sparc64-linux-gnu [sparc64] <cross>, gccgo-10-sparc64-linux-gnu [sparc64] <cross>, gnat-10-sparc64-linux-gnu [sparc64] <cross>, gm2-10-sparc64-linux-gnu [sparc64] <cross>, g++-10-s390x-linux-gnu [s390x] <cross>, gobjc-10-s390x-linux-gnu [s390x] <cross>, gfortran-10-s390x-linux-gnu [s390x] <cross>, gdc-10-s390x-linux-gnu [s390x] <cross>, gccgo-10-s390x-linux-gnu [s390x] <cross>, gnat-10-s390x-linux-gnu [s390x] <cross>, gm2-10-s390x-linux-gnu [s390x] <cross>, g++-10-x86-64-linux-gnux32 [x32] <cross>, gobjc-10-x86-64-linux-gnux32 [x32] <cross>, gfortran-10-x86-64-linux-gnux32 [x32] <cross>, gdc-10-x86-64-linux-gnux32 [x32] <cross>, gccgo-10-x86-64-linux-gnux32 [x32] <cross>, gnat-10-x86-64-linux-gnux32 [x32] <cross>, gm2-10-x86-64-linux-gnux32 [x32] <cross>, g++-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-10-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-10-debian
XS-Testsuite: autopkgtest

Package: gcc-10-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-10-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-10-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},

=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(10\.[\d\.]*)/ \
        gcc-([\d\.]+)\.tar\.xz debian uupdate

## gcc-10 10.4.0

=== debian/changelog ===
gcc-10 (10.4.0-7+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from gcc-8 8-20180207-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 17 Feb 2018 00:20:23 +0000]
  * Don't pass -march=armv7+fp to compiler when building libatomic.

  [changes introduced in gcc-8 8.2.0-16+rpi1 by Peter Michael Green]
  * Disable testsuite (build seems to hang after testsuite completes).

  [changes introduced in gcc-9 9.1.0-10+rpi1 by Peter Michael Green]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 18 Jan 2023 04:58:41 +0000

gcc-10 (10.4.0-7) unstable; urgency=medium

  * Update to git 20230110 from the gcc-10 branch.
    - Fix PR target/106736 (PPC), PR fortran/108131.
  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2023 05:34:13 +0100

gcc-10 (10.4.0-6) unstable; urgency=medium

  * Update to git 20230102 from the gcc-10 branch.
    - Fix PR target/98776 (AArch64), PR target/107863 (x86),
      PR rtl-optimization/107482, PR tree-optimization/107485,
      PR target/107304, PR c/41041, PR target/106355 (S390),
      PR target/107364 (x86), PR target/107336, PR target/96072 (PPC),
      PR target/99685 (PPC), PR lto/106540, PR lto/106334,
      PR tree-optimization/106513, PR middle-end/106331,
      PR tree-optimization/106131, PR tree-optimization/106112,
      PR target/107248 (SPARC), PR target/107064 (x86),
      PR target/106491 (AArch64), PR target/101322 (PPC), PR c++/102780,
      PR c++/108138, PR d/108050, PR d/107592, PR d/106638, PR d/106139,
      PR fortran/107872, PR fortran/107576, PR fortran/103413,
      PR fortran/105633, PR fortran/106817, PR fortran/105012,
      PR fortran/100040, PR fortran/100029, PR fortran/100132,
      PR fortran/107054, PR fortran/82868, PR fortran/106985,
      PR fortran/103694, PR fortran/106986, PR fortran/100245,
      PR fortran/106857.
  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.
  * The fix for PR ada/103538 leads to a build failure on x32 not having
    the dladdr linked in on x32 with older glibc version where this symbol
    is still in libdl.so. Just link with -ldl. Fixes PR ada/107475.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 16:17:29 +0100

gcc-10 (10.4.0-5) unstable; urgency=medium

  * Update to git 20220905 from the gcc-10 branch.
    - Fix PR target/106017 (PPC), PR target/103353 (PPC),
      PR target/103197 (PPC), PR target/102146 (PPC), PR testsuite/106345,
      PR target/106091 (PPC), PR rtl-optimization/105041,
      PR preprocessor/97498, PR d/106638, PR fortran/103504,
      PR libstdc++/98421, PR libstdc++/100748, PR libstdc++/103133,
      PR libstdc++/106162, PR libstdc++/106320.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Sep 2022 22:00:22 +0200

gcc-10 (10.4.0-4) unstable; urgency=medium

  * Fix the backport of the fix for PR target/102952.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jul 2022 11:27:17 +0200

gcc-10 (10.4.0-3) unstable; urgency=medium

  * Fix applying the pr102952-doc patch.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 16:41:26 +0200

gcc-10 (10.4.0-2) unstable; urgency=medium

  * Update to git 20220718 from the gcc-10 branch.
    - Fix PR tree-optimization/105860, PR d/106139, PR fortran/104313,
      PR fortran/103137, PR fortran/103138, PR fortran/103693,
      PR fortran/105243, PR fortran/106121, PR fortran/105954,
      PR fortran/105691, PR fortran/105813.
  * Backport PR target/102952, support for -mharden-sls and
    -mindirect-branch-cs-prefix for x86, suggested by Ben Hutchings.
    Closes: #1014851.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 09:33:00 +0200

gcc-10 (10.4.0-1) unstable; urgency=medium

  * GCC 10.4.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 14:30:05 +0200

gcc-10 (10.3.0-16) unstable; urgency=medium

  * Update to git 20220622 from the gcc-10 branch (10.4 release candidate).

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jun 2022 21:12:42 +0200

gcc-10 (10.3.0-5) experimental; urgency=medium

  * Update to git 20210610 from the gcc-10 branch.
    - Fix PR target/100333 (ARM), PR rtl-optimization/98777,
      PR rtl-optimization/98722, PR target/97969, PR target/99725 (ARM),
      PR target/99960 (ARM), PR target/99977 (ARM),
      PR rtl-optimization/80960, PR tree-optimization/100566,
      PR target/100419 (ARM), PR target/100563 (ARM), PR middle-end/100571,
      PR target/99988 (AArch64), PR target/100108 (PPC), PR c++/100102,
      PR c++/100797, PR c++/95719, PR c++/100489, PR c++/80456,
      PR c++/100054, PR c++/90479, PR c++/100032, PR c++/91933,
      PR c++/99180, PR c++/93295, PR c++/93867, PR c++/99118, PR c++/96873,
      PR c++/41723, PR c++/52625, PR c++/92918, PR c++/96673, PR c++/99901,
      PR c++/96311, PR c++/95870, PR c++/99201, PR c++/99643, PR c++/90664,
      PR c++/91217, PR c++/97938, PR d/100964, PR d/100935, PR d/100882,
      PR fortran/99839, PR fortran/98411, PR sanitizer/100379,
      PR libstdc++/100833, PR libstdc++/100768, PR libstdc++/99453,
      PR libstdc++/99453, PR libstdc++/100630.
  * Run again all tests from the guality test suite on armhf.
  * Update libasan6 symbols for riscv64 (Helmut Grohne). Closes: #989205.
  * gcc-10-base: Breaks: gcc-8-base (<< 8.4). Closes: #984574.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Jun 2021 12:17:09 +0200

=== debian/control ===
Source: gcc-10
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.30-1~) [alpha ia64] | libc0.3-dev (>= 2.30-1~) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.30-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, gcc-11-base, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.35.1-7), binutils-hppa64-linux-gnu:native (>= 2.35.1-7) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-10-alpha-linux-gnu [alpha] <cross>, gobjc-10-alpha-linux-gnu [alpha] <cross>, gfortran-10-alpha-linux-gnu [alpha] <cross>, gdc-10-alpha-linux-gnu [alpha] <cross>, gccgo-10-alpha-linux-gnu [alpha] <cross>, gnat-10-alpha-linux-gnu [alpha] <cross>, gm2-10-alpha-linux-gnu [alpha] <cross>, g++-10-x86-64-linux-gnu [amd64] <cross>, gobjc-10-x86-64-linux-gnu [amd64] <cross>, gfortran-10-x86-64-linux-gnu [amd64] <cross>, gdc-10-x86-64-linux-gnu [amd64] <cross>, gccgo-10-x86-64-linux-gnu [amd64] <cross>, gnat-10-x86-64-linux-gnu [amd64] <cross>, gm2-10-x86-64-linux-gnu [amd64] <cross>, g++-10-arm-linux-gnueabi [armel] <cross>, gobjc-10-arm-linux-gnueabi [armel] <cross>, gfortran-10-arm-linux-gnueabi [armel] <cross>, gdc-10-arm-linux-gnueabi [armel] <cross>, gccgo-10-arm-linux-gnueabi [armel] <cross>, gnat-10-arm-linux-gnueabi [armel] <cross>, gm2-10-arm-linux-gnueabi [armel] <cross>, g++-10-arm-linux-gnueabihf [armhf] <cross>, gobjc-10-arm-linux-gnueabihf [armhf] <cross>, gfortran-10-arm-linux-gnueabihf [armhf] <cross>, gdc-10-arm-linux-gnueabihf [armhf] <cross>, gccgo-10-arm-linux-gnueabihf [armhf] <cross>, gnat-10-arm-linux-gnueabihf [armhf] <cross>, gm2-10-arm-linux-gnueabihf [armhf] <cross>, g++-10-aarch64-linux-gnu [arm64] <cross>, gobjc-10-aarch64-linux-gnu [arm64] <cross>, gfortran-10-aarch64-linux-gnu [arm64] <cross>, gdc-10-aarch64-linux-gnu [arm64] <cross>, gccgo-10-aarch64-linux-gnu [arm64] <cross>, gnat-10-aarch64-linux-gnu [arm64] <cross>, gm2-10-aarch64-linux-gnu [arm64] <cross>, g++-10-i686-linux-gnu [i386] <cross>, gobjc-10-i686-linux-gnu [i386] <cross>, gfortran-10-i686-linux-gnu [i386] <cross>, gdc-10-i686-linux-gnu [i386] <cross>, gccgo-10-i686-linux-gnu [i386] <cross>, gnat-10-i686-linux-gnu [i386] <cross>, gm2-10-i686-linux-gnu [i386] <cross>, g++-10-mipsel-linux-gnu [mipsel] <cross>, gobjc-10-mipsel-linux-gnu [mipsel] <cross>, gfortran-10-mipsel-linux-gnu [mipsel] <cross>, gdc-10-mipsel-linux-gnu [mipsel] <cross>, gccgo-10-mipsel-linux-gnu [mipsel] <cross>, gnat-10-mipsel-linux-gnu [mipsel] <cross>, gm2-10-mipsel-linux-gnu [mipsel] <cross>, g++-10-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-10-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-10-mips64-linux-gnuabi64 [mips64] <cross>, gdc-10-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-10-mips64-linux-gnuabi64 [mips64] <cross>, gnat-10-mips64-linux-gnuabi64 [mips64] <cross>, gm2-10-mips64-linux-gnuabi64 [mips64] <cross>, g++-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-10-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-10-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-10-powerpc-linux-gnu [powerpc] <cross>, gobjc-10-powerpc-linux-gnu [powerpc] <cross>, gfortran-10-powerpc-linux-gnu [powerpc] <cross>, gdc-10-powerpc-linux-gnu [powerpc] <cross>, gccgo-10-powerpc-linux-gnu [powerpc] <cross>, gnat-10-powerpc-linux-gnu [powerpc] <cross>, g++-10-powerpc64-linux-gnu [ppc64] <cross>, gobjc-10-powerpc64-linux-gnu [ppc64] <cross>, gfortran-10-powerpc64-linux-gnu [ppc64] <cross>, gdc-10-powerpc64-linux-gnu [ppc64] <cross>, gccgo-10-powerpc64-linux-gnu [ppc64] <cross>, gnat-10-powerpc64-linux-gnu [ppc64] <cross>, g++-10-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-10-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-10-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-10-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-10-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-10-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-10-powerpc64le-linux-gnu [ppc64el] <cross>, g++-10-m68k-linux-gnu [m68k] <cross>, gobjc-10-m68k-linux-gnu [m68k] <cross>, gfortran-10-m68k-linux-gnu [m68k] <cross>, gdc-10-m68k-linux-gnu [m68k] <cross>, gm2-10-m68k-linux-gnu [m68k] <cross>, g++-10-riscv64-linux-gnu [riscv64] <cross>, gobjc-10-riscv64-linux-gnu [riscv64] <cross>, gfortran-10-riscv64-linux-gnu [riscv64] <cross>, gdc-10-riscv64-linux-gnu [riscv64] <cross>, gccgo-10-riscv64-linux-gnu [riscv64] <cross>, gnat-10-riscv64-linux-gnu [riscv64] <cross>, gm2-10-riscv64-linux-gnu [riscv64] <cross>, g++-10-sh4-linux-gnu [sh4] <cross>, gobjc-10-sh4-linux-gnu [sh4] <cross>, gfortran-10-sh4-linux-gnu [sh4] <cross>, gnat-10-sh4-linux-gnu [sh4] <cross>, g++-10-sparc64-linux-gnu [sparc64] <cross>, gobjc-10-sparc64-linux-gnu [sparc64] <cross>, gfortran-10-sparc64-linux-gnu [sparc64] <cross>, gdc-10-sparc64-linux-gnu [sparc64] <cross>, gccgo-10-sparc64-linux-gnu [sparc64] <cross>, gnat-10-sparc64-linux-gnu [sparc64] <cross>, gm2-10-sparc64-linux-gnu [sparc64] <cross>, g++-10-s390x-linux-gnu [s390x] <cross>, gobjc-10-s390x-linux-gnu [s390x] <cross>, gfortran-10-s390x-linux-gnu [s390x] <cross>, gdc-10-s390x-linux-gnu [s390x] <cross>, gccgo-10-s390x-linux-gnu [s390x] <cross>, gnat-10-s390x-linux-gnu [s390x] <cross>, gm2-10-s390x-linux-gnu [s390x] <cross>, g++-10-x86-64-linux-gnux32 [x32] <cross>, gobjc-10-x86-64-linux-gnux32 [x32] <cross>, gfortran-10-x86-64-linux-gnux32 [x32] <cross>, gdc-10-x86-64-linux-gnux32 [x32] <cross>, gccgo-10-x86-64-linux-gnux32 [x32] <cross>, gnat-10-x86-64-linux-gnux32 [x32] <cross>, gm2-10-x86-64-linux-gnux32 [x32] <cross>, g++-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-10-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-10-debian
XS-Testsuite: autopkgtest

Package: gcc-10-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-10-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-10-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
